#if !defined ILMATRIXOPERATIONS
#define ILMATRIXOPERATIONS

#include <stdio.h>
#include <math.h>
#include <string.h>
#include "cv.h"      // include core library interface
#include "cxcore.h"   
#include "highgui.h" // include GUI library interface

void ilEuclidDist(const CvArr *src1, const CvArr *src2, CvArr *dst);
void ilEuclidNorm(const CvArr *srcarr, CvArr *dstarr);
void ilMaxRowFloat(const CvArr *srcarr, CvArr *maxvalarr, CvArr *maxindarr, int absflag=0);
void ilMaxColFloat(const CvArr *srcarr, CvArr *maxvalarr, CvArr *maxindarr, int absflag=0);
void ilMaxProjectFloat(const CvArr *srcarr1, const CvArr *srcarr2, CvArr *maxvalarr, CvArr *maxindarr);
void ilMatFunTest(void);

void ilRGB2Gray(IplImage *srcarr, CvArr *dstarr);
#endif